diff -ur gnome-control-center-2.32.1/capplets/mouse/gnome-mouse-properties.c gnome-control-center-2.32.1-touchpadscrolling/capplets/mouse/gnome-mouse-properties.c
--- gnome-control-center-2.32.1/capplets/mouse/gnome-mouse-properties.c	2010-11-18 09:05:08.000000000 +0000
+++ gnome-control-center-2.32.1-touchpadscrolling/capplets/mouse/gnome-mouse-properties.c	2011-12-09 10:37:50.000000000 +0000
@@ -316,18 +316,6 @@
 }
 
 static void
-scrollmethod_changed_event (GConfPropertyEditor *peditor,
-			    const gchar *key,
-			    const GConfValue *value,
-			    GtkBuilder *dialog)
-{
-	GtkToggleButton *disabled = GTK_TOGGLE_BUTTON (WID ("scroll_disabled_radio"));
-
-	gtk_widget_set_sensitive (WID ("horiz_scroll_toggle"),
-				  !gtk_toggle_button_get_active (disabled));
-}
-
-static void
 synaptics_check_capabilities (GtkBuilder *dialog)
 {
 #ifdef HAVE_XINPUT
@@ -367,7 +355,7 @@
 			/* Disable two finger scrolling unless the hardware supports
 			 * double touch or can emulate it based on finger width. */
 			if (!(data[3] ||(nitems >= 6 && data[5])))
-				gtk_widget_set_sensitive (WID ("scroll_twofinger_radio"), FALSE);
+				gtk_widget_set_sensitive (WID ("scroll_twofinger_toggle"), FALSE);
 
 			XFree (data);
 		}
@@ -497,16 +485,13 @@
 		gconf_peditor_new_boolean
 			(changeset, "/desktop/gnome/peripherals/touchpad/tap_to_click", WID ("tap_to_click_toggle"), NULL);
 		gconf_peditor_new_boolean
+			(changeset, "/desktop/gnome/peripherals/touchpad/vert_scroll_enabled", WID ("vert_scroll_toggle"), NULL);
+		gconf_peditor_new_boolean
 			(changeset, "/desktop/gnome/peripherals/touchpad/horiz_scroll_enabled", WID ("horiz_scroll_toggle"), NULL);
-		radio = GTK_RADIO_BUTTON (WID ("scroll_disabled_radio"));
-		peditor = gconf_peditor_new_select_radio
-			(changeset, "/desktop/gnome/peripherals/touchpad/scroll_method", gtk_radio_button_get_group (radio),
-			 NULL);
+		gconf_peditor_new_boolean
+			(changeset, "/desktop/gnome/peripherals/touchpad/twofinger_scroll_enabled", WID ("twofinger_scroll_toggle"), NULL);
 
 		synaptics_check_capabilities (dialog);
-		scrollmethod_changed_event (GCONF_PROPERTY_EDITOR (peditor), NULL, NULL, dialog);
-		g_signal_connect (peditor, "value-changed",
-				  G_CALLBACK (scrollmethod_changed_event), dialog);
 	}
 
 }
diff -ur gnome-control-center-2.32.1/capplets/mouse/gnome-mouse-properties.ui gnome-control-center-2.32.1-touchpadscrolling/capplets/mouse/gnome-mouse-properties.ui
--- gnome-control-center-2.32.1/capplets/mouse/gnome-mouse-properties.ui	2010-11-18 09:05:08.000000000 +0000
+++ gnome-control-center-2.32.1-touchpadscrolling/capplets/mouse/gnome-mouse-properties.ui	2011-12-09 15:04:38.000000000 +0000
@@ -1531,55 +1531,14 @@
                           </packing>
                         </child>
                         <child>
-                          <object class="GtkHBox" id="hbox23">
+                          <object class="GtkCheckButton" id="vert_scroll_toggle">
+                            <property name="label" translatable="yes">Enable v_ertical scrolling</property>
                             <property name="visible">True</property>
-                            <child>
-                              <object class="GtkRadioButton" id="scroll_disabled_radio">
-                                <property name="label" translatable="yes">_Disabled</property>
-                                <property name="visible">True</property>
-                                <property name="can_focus">True</property>
-                                <property name="receives_default">False</property>
-                                <property name="use_underline">True</property>
-                                <property name="draw_indicator">True</property>
-                              </object>
-                              <packing>
-                                <property name="expand">False</property>
-                                <property name="fill">False</property>
-                                <property name="position">0</property>
-                              </packing>
-                            </child>
-                            <child>
-                              <object class="GtkRadioButton" id="scroll_edge_radio">
-                                <property name="label" translatable="yes">_Edge scrolling</property>
-                                <property name="visible">True</property>
-                                <property name="can_focus">True</property>
-                                <property name="receives_default">False</property>
-                                <property name="use_underline">True</property>
-                                <property name="draw_indicator">True</property>
-                                <property name="group">scroll_disabled_radio</property>
-                              </object>
-                              <packing>
-                                <property name="expand">False</property>
-                                <property name="fill">False</property>
-                                <property name="position">1</property>
-                              </packing>
-                            </child>
-                            <child>
-                              <object class="GtkRadioButton" id="scroll_twofinger_radio">
-                                <property name="label" translatable="yes">Two-_finger scrolling</property>
-                                <property name="visible">True</property>
-                                <property name="can_focus">True</property>
-                                <property name="receives_default">False</property>
-                                <property name="use_underline">True</property>
-                                <property name="draw_indicator">True</property>
-                                <property name="group">scroll_disabled_radio</property>
-                              </object>
-                              <packing>
-                                <property name="expand">False</property>
-                                <property name="fill">False</property>
-                                <property name="position">2</property>
-                              </packing>
-                            </child>
+                            <property name="can_focus">True</property>
+                            <property name="receives_default">False</property>
+                            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
+                            <property name="use_underline">True</property>
+                            <property name="draw_indicator">True</property>
                           </object>
                           <packing>
                             <property name="position">1</property>
@@ -1631,6 +1590,45 @@
                         <property name="position">2</property>
                       </packing>
                     </child>
+                    <child>
+                      <object class="GtkHBox" id="hbox23">
+                        <property name="visible">True</property>
+                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
+                        <child>
+                          <object class="GtkLabel" id="label38">
+                            <property name="visible">True</property>
+                            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
+                            <property name="xalign">0</property>
+                            <property name="yalign">0</property>
+                            <property name="label">    </property>
+                          </object>
+                          <packing>
+                            <property name="expand">False</property>
+                            <property name="fill">False</property>
+                            <property name="position">0</property>
+                          </packing>
+                        </child>
+                        <child>
+                          <object class="GtkCheckButton" id="twofinger_scroll_toggle">
+                            <property name="label" translatable="yes">Enable two-_finger scrolling</property>
+                            <property name="visible">True</property>
+                            <property name="can_focus">True</property>
+                            <property name="receives_default">False</property>
+                            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
+                            <property name="use_underline">True</property>
+                            <property name="draw_indicator">True</property>
+                          </object>
+                          <packing>
+                            <property name="position">1</property>
+                          </packing>
+                        </child>
+                      </object>
+                      <packing>
+                        <property name="expand">False</property>
+                        <property name="fill">False</property>
+                        <property name="position">3</property>
+                      </packing>
+                    </child>
                   </object>
                   <packing>
                     <property name="expand">False</property>
